Document Conventions

You are here: Document Conventions

Document Conventions

 Return to chapter overview

Throughout this document the following conventions and symbols are used to emphasize important points that you should read carefully, or menus, items or buttons you need to click or select.

Caution: This format means that you should be careful to avoid unwanted results, such as potential damage to operating system functionality or loss of data

Hint: Useful additional information that might help you save time.

Italics represent fields, menu commands, and cross-references. Bold type represents a button that you need to click.

A fixed-width typeface represents messages or commands typed at a command prompt.

A plus sign between two keyboard keys means that you must press those keys at the same time. For example, ALT+R means that you must hold down the ALT key while you press R. A comma between two or more keys means that you must press them consecutively. For example ‘ALT, R, U’ means that you must first press the Alt key, then the R key, and finally the U key.


Securing Your Data with DriveLock

You are here: Securing Your Data with DriveLock

Securing Your Data with DriveLock

 Return to chapter overview

DriveLock is a lightweight software solution that helps you secure your desktop computers. It has a Multilingual User Interface (MUI), allowing you to select the desired language during installation or when running the program.

DriveLock offers dynamic, configurable access control for mobile drives (floppy disk drives, CD-ROM drives, USB memory sticks, etc.). DriveLock also lets you control the use of most other device types, such as Bluetooth transmitters, Palm, Windows Mobile, BlackBerry, cameras, smartphones, media devices and many more. By configuring whitelist rules based on device type and hardware ID you can define exactly who can access which device at which time. Removable drives can be controlled based on the drive’s manufacturer, model and even serial number. This lets you define and enforce very granular access control policies. Additional features let you unlock specific authorized media and define time limits or computers for whitelist rules. Authorized administrators can even temporarily suspend device blocking on a computer, if required, even when the computer is offline and not connected to a network.

Installation of the client software (the DriveLock Agent) and policy deployment can be achieved easily by using existing software deployment mechanisms or by using the Group Policy feature of Active Directory. Alternatively, you can distribute policies using configuration files for standalone computers or in environments without Active Directory.

The auditing capabilities of DriveLock, coupled with its file shadowing functionality give you the information you need to monitor and enforce policy compliance. By using the DriveLock Device Scanner you can detect any drive or device that has been used in your network, even if it is no longer connected to the computer. The DriveLock Agent doesn’t need to be installed on the target computers to use the Device Scanner.

Encryption is another main feature of DriveLock that can help you secure sensitive information by enforcing encryption when data is copied to removable drives. You can use the DriveLock Full Disk Encryption option to encrypt hard disks, including the system partition and to perform pre-boot authentication with single sign-on to Windows. DriveLock can also erase sensitive data permanently and securely by overwriting data multiple times using one of several industry-standard algorithms.

DriveLock’s application control enables easy control over which applications run on a computer. You can allow or deny the starting of applications based on several criteria, such as the current user, network connection or computer.

The DriveLock Enterprise Service (DES) is a central component that consolidates all DriveLock events and Device Scanner results in a central database. Administrators can then use this data to create dynamic reports for auditing and management purposes.

A single, unified console is used to configure all DriveLock components, which simplifies administration tasks.


The DriveLock Components

You are here: Securing Your Data with DriveLock > The DriveLock Components

The DriveLock Components

 Return to chapter overview

The section describes the DriveLock components and how they communicate with each other.


DriveLock Agent

You are here: Securing Your Data with DriveLock > The DriveLock Components > DriveLock Agent

DriveLock Agent

 Return to chapter overview

The DriveLock Agent is the most important component of the DriveLock infrastructure. It implements and enforces your policy settings and must be installed on every computer where you want to control removable drives, devices or other settings. The Agent is a lightweight Windows service that runs in the background and maintains control over hardware ports and interfaces and enforces your security policy. To prevent unauthorized access or bypassing of the security settings, regular users can’t stop the service; only users who are specifically authorized by you can access and control the service.


DriveLock Management Console

You are here: Securing Your Data with DriveLock > The DriveLock Components > DriveLock Management Console

DriveLock Management Console

 Return to chapter overview

You use the DriveLock Management Console to configure the security settings for your clients, manage your environment and access other DriveLock components. This console is a Microsoft Management Console (MMC) snap-in so you can easily integrate it into existing MMC console files that administrators may have already configured.

The DriveLock Management Console lets you create a local configuration for the computer the console is running on, to define configurations by creating and changing Active Directory Group Policy settings or to save your settings to a configuration file that you can import on another computer. You can also monitor the status of clients or access the DriveLock Agent on clients. You can use the Management Console to remotely unlock an Agent by accessing it remotely, or— if the Agent is not connected to a network— by creating an offline access code that a user can enter on the client computer. In addition, the Device Scanner is integrated into the DriveLock Management Console.


DriveLock Control Center

You are here: Securing Your Data with DriveLock > The DriveLock Components > DriveLock Control Center

DriveLock Control Center

 Return to chapter overview

The DriveLock Control Center (DCC) let you create dynamic reports and forensic analysis reports from events that were reported by DriveLock Agents data to a central server running the DriveLock Enterprise Service (DES). You can use the DCC to monitor the use of mobile drives, devices and data transfers in aggregate or in detail. The DCC includes the option to assign granular permissions for data queries and report creation.

For example, you can create reports about the use of removable media and device connection attempts (both allowed and blocked). In addition, you can create reports about which files have been written to or read from removable media and execute a forensic analysis by using the data drill-down capabilities of the DCC. The settings in your DriveLock policy determine what types of data are recorded.

The DCC also lets you monitor your current DriveLock Agent environment and view the status of clients. For example, you can identify computers that don’t have the Agent installed or that have not recently reported their status. If you use the Full Disk Encryption option, you can view the current status of the drive encryption (for example, “Not installed” or “Currently encrypting”). You can also easily group and filter the list of Agents. All of these functions and the ability to view statistics as graphs make the DCC a very powerful monitoring and reporting tool.


DriveLock Enterprise Service

You are here: Securing Your Data with DriveLock > The DriveLock Components > DriveLock Enterprise Service

DriveLock Enterprise Service

 Return to chapter overview

The DriveLock Enterprise Service (DES) centrally stores events from all DriveLock Agents. This service is not required for DriveLock to operate, but it lets administrators easily monitor all DriveLock operations and user activities in the entire organization. The DES replaces the Security Reporting Centers (SRC), which performed similar functions in DriveLock 5. The DES uses a new architecture and database structure to improve performance and add new functionality. The DriveLock Control Center (DCC) is the reporting console that enables administrators to view events that are stored in the DES and create reports from the event data.

Organizations that use one or both encryption modules (Encryption 2-Go or Full Disk Encryption) can use the DES to centrally store recovery data to simplify and streamline data recovery operations.


Service Communications

You are here: Securing Your Data with DriveLock > Service Communications

Service Communications

 Return to chapter overview

The following diagram illustrates communications paths and the role of the DriveLock Enterprise Service in the operations of DriveLock:

Default communications ports (These ports can be customized, if required)

Port | Direction | Protocol | Usage
6064 TCP | Incoming | HTTP | DriveLock Agent
6065 TCP | Incoming | HTTPS | DriveLock Agent
6066 TCP | Incoming | HTTP | DES
6067 TCP | Incoming | HTTPS | DES
135 TCP | Outgoing | RPC | (optional) MMC (GPO editing)
80 TCP | Incoming | HTTP | (optional) Access to configuration file on a server using HTTP
21 TCP | Incoming | FTP | (optional) Access to configuration file on a server using FTP
445 TCP; 139 TCP, 137 UDP, 138 UDP | Incoming | SMB; NetBIOS | (optional) Access to configuration file on a server using UNC

DriveLock Cloud Services

Additional the DES and the MMC needs access to the DriveLock Cloud Services at https://cloudapp.drivelock.com to activate licenses, to query software packages and AV definitions and to manage cloud accounts and events.

To download the software packages and AV definitions, the DES connects to https://drivelock.blob.core.windows.net .


Linked DES Servers

You are here: Securing Your Data with DriveLock > Service Communications > Linked DES Servers

Linked DES Servers

 Return to chapter overview

In large DriveLock deployments you can minimize the use of system resources and network bandwidth by linking DES servers. In a linked deployment, one or more DES servers at branch offices are running in “Cache & Linked” mode. These servers collect events from DriveLock Agents but don’t write the events to the database. Instead DES servers in Cache & Linked mode forward the event data in compressed form to a central DES server at preconfigured intervals. The central DES Server, which is running in the standard “Cache & Process” mode, is connected to a database server and writes the event data it receives from linked servers and clients to the DriveLock database.

To change the mode in which a DES Server is running, use the “Database Installation Wizard“ which is included with the DES.


Preparing to Install DriveLock

You are here: Preparing to Install DriveLock

Preparing to Install DriveLock

 Return to chapter overview

You can install DriveLock from compact disc or using files downloaded from the DriveLock Web site. All DriveLock components are available as separate 32-bit and 64-bit Microsoft Installer (MSI) packages. A separate installation package is available for the DriveLock documentation.

The easiest way to install DriveLock components is by using the DriveLock Installer (DLSetup.exe). This program can check whether the most current installation packages for all components are already present and download missing packages from the Internet. The DriveLock Installer runs both on 32-bit and 64-bit computers.

As an alternative you can download an ISO image containing the DriveLock Installer, all installation packages, documentation and additional information from www.drivelock.com. You can burn a CD from this ISO image.

Before starting the installation it is recommended that you decide which type of configuration you will be using to deploy DriveLock settings to clients because this will determine how you will deploy DriveLock Agents to client computers. The following configuration matrix can help you decide which of these methods is the most appropriate for your environment:

 | Central Configuration | DES Required | Uses Existing Infrastructure | History / Versioning | Scalability | Quick Configuration
Local Configuration | No | No | No | No | - | No
Group Policy | Yes | No | Yes (AD) | No | Very good | No
Centrally Stored Policy | Yes | Yes | No | Yes | Gut | Yes
Configuration File | Yes | No | Yes (UNC, http, ftp) | No | Limited | No

When using DriveLock for the first time, it is recommended to use a local configuration to become familiar with DriveLock before deploying configuration settings to multiple clients across your network.

·Local configuration: When using a local configuration, policy settings are only applied to the computer where you configure settings using the DriveLock Management Console. A local configuration is only appropriate for evaluating DriveLock or testing a policy before deploying it. The advantage of using a local configuration is that all changes take effect immediately on the local computer.

·Group Policy: You can store DriveLock configuration settings in a Group Policy Object in Active Directory. Policy settings are deployed to client computers using the native Group Policy mechanism in Windows.

·Configuration Files: Configuration settings are stored in a file. This file is stored in a shared folder or on an HTTP or FTP server from where it is retrieved by client computers. When using HTTP, client computers can retrieve the configuration settings over the Internet.

·Centrally Stored Policies: Centrally Stored Policy (CSP). CSPs are similar to configuration files, but they are stored by the DriveLock Enterprise Service (DES) and retrieved from there by Agents. Unlike other types of policies, CSPs also automatically support versioning and change tracking and support Quick Configuration for effortless deployment.

A typical DriveLock deployment consists of four steps:

1.Installing the DriveLock Management Console on one or more administrator workstations

2.Installing the DriveLock Enterprise Service on a central server (database required)

3.Creating an initial DriveLock policy (for example, an initial policy that blocks no access until further testing is complete)

4.Installing the DriveLock Agent on selected client computers according to the selected deployment method

This document describes these steps in detail. Additional sections cover manually updating DriveLock, de-installing DriveLock and migrating from an older version (Version 5.5 R2 or older).


Quick Configuration Using mDNS / DNS-SD

You are here: Preparing to Install DriveLock > Quick Configuration Using mDNS / DNS-SD

Quick Configuration Using mDNS / DNS-SD

 Return to chapter overview

The easiest and quickest option for configuring DriveLock is by using the multicast DNS (m-DNS) and DNS based Service Discovery (DNS/SD) protocols. These complementary technologies enable servers and clients to register themselves in the network using multicasts. This allows a DriveLock Agent to dynamically discover its DES server and to download its policy that has been configured by an administrator and stored in the DES. Only minimal configuration is required to enable this, but it requires that a DES server is running in the network environment.

The process of DES server discovery and downloading of the policy is illustrated in the following diagram:

The process of registration and discovery includes the following steps:

1.DES — Registration using DNS-SD

2.Agent — Registration using DND-SD

3.Agent — DES server discovery using mDNS/DNS-SD

4.DES — Reply with default tenant and policy

5.Agent — Download of default policy

In a network that is connected using routers it is possible that the routers are not configured to forward multicast traffic between network segments. This prevents the use of mDNS/DNS-SD. If you cannot change the router configuration you need to use one of the other methods that are available for distributing the DriveLock policy to Agents.

For additional information about configuring centrally stored policies and assigning a standard policy, refer to the DriveLock Administration Guide.


Deactivating mDNS/DNS-SD

You are here: Preparing to Install DriveLock > Quick Configuration Using mDNS / DNS-SD > Deactivating mDNS/DNS-SD

Deactivating mDNS/DNS-SD

 Return to chapter overview

In some instances you may want to deactivate mDNS/DNS-SD and the associated multicast traffic. This will disable Quick Configuration, but it minimizes network traffic, which may be more important in large networks. To deactivate mDNS/DNS-SD, configure the following settings using the DriveLock Management Console:

·In the Agent configuration, for example in a Group Policy Object (GPO), under Extended configuration -> Global configuration -> Settings -> Agent remote control settings and permissions, deselect the checkbox Enable automatic agent discovery (using DNS-SD).

·Under DriveLock Enterprise Services -> Servers -> <DES server> -> Properties, on the Options tab, select the checkbox Disable automatic server discovery (using DNS-SD).


System Requirements

You are here: System Requirements

System Requirements

 Return to chapter overview

DriveLock works in the background and therefore only uses minimal hardware resources. The DriveLock Agent runs on all recent versions of the Windows operating system and requires no additional infrastructure. The DriveLock Enterprise Service also requires a database (Microsoft SQL Server).

DriveLock recommends that you install all available service packs and hotfixes for your operating system.

Detailed information of supported platforms and hardware requirements can be found in the DriveLock Release Notes.

Exclusions for Antivirus Software

By default these AV exclusions have to be set within any AV program controlling a system running the DES Server and/or DriveLock Agent.

Notice to set also the appropriate settings on DES DB-Server system. The MS-SQL-Server settings can be found here: How to choose antivirus software to run on computers that are running SQL Server

Files & Folders:

"C:\SECURDSK" (EFS)

"C:\Program Files\CenterTools\DriveLock" (Application Directory)

"C:\ProgramData\CenterTools DriveLock" (Cache/Working Directory)

Processes/Services:

Service Name: DriveLock

Service Display Name: DriveLock

Executable Path: "C:\Program Files\CenterTools\DriveLock\DriveLock.exe"

Service Name: dlhm

Service Display Name: DriveLock Health Monitor

Executable Path: "C:\Program Files\CenterTools\DriveLock\DLHM.exe"

Service Name: StorageEncryptionService

Service Display Name: DriveLock Full Disk Encryption Encryptor

Executable Path: "C:\Program Files\CenterTools\DriveLock\DlFdeEncSvc.exe"

Service Name: ClientDataManager

Service Display Name: DriveLock Full Disk Encryption Manager

Executable Path: "C:\Program Files\CenterTools\DriveLock\DlFdeMgr.exe"

Service Name: dlupdate

Service Display Name: DriveLock Update and Installation

Executable Path: "C:\Windows\DLUpdSvc.exe"

Service Name: dessvc

Service Display Name: DriveLock Enterprise Service

Executable Path: "C:\Program Files\CenterTools\DriveLock Enterprise Service\DES.exe"

Program Name: DESTray

Function of the program: Displayed in the DES Symbol in the Windows Tray

Executable Path: "C:\Program Files\CenterTools\DriveLock Enterprise Service\DESTray.exe"

Program Name: DesRestarter

Function of the program: Restart the DES service

Executable Path: "C:\Program Files\CenterTools\DriveLock Enterprise Service\DesRestarter.exe"

Disk Encryption

Supported Storage Hardware

DriveLock Disk Encryption (FDE) can encrypt all fixed (non-removable) hard disk partitions that have been assigned a drive letter, including all IDE/EIDE, SATA and SCSI drives. There is no support for hidden partitions or software RAID arrays.

Windows must be installed on the boot disk (the one containing the MBR).

DriveLock FDE does not interfere with the normal operation of the storage subsystem, with the following exceptions:

·It is not possible to format any partition on the system drive after DriveLock FDE has been installed.

·DriveLock FDE does not support post-installation addition, removal or substitution of hard drives.

·During installation, DriveLock FDE examines all partitions present on the computer. Repartitioning, resizing, converting or activating partitions after DriveLock FDE has been installed is not supported, including any manipulation of the Master Boot Record.

DriveLock FDE supports the use of FAT16, FAT32, and NTFS file systems.`

DriveLock FDE does not support multi-boot environments.

MS-DOS can be used to start a computer to run DriveLock FDE disaster recovery tools. Computers running DriveLock FDE with a hard disk that is inaccessible or corrupt can be booted to MS-DOS from a floppy disk or a CD. Drives that require special DOS drivers, such as SCSI drives or TSRs are only accessible to the DriveLock FDE recovery tools if the required drivers are loaded.

Supported Networks

DriveLock FDE fully supports Active Directory and Windows domains. It does not interfere with normal operation of any Windows network services, including Remote Desktop connections. Windows domain users and local Windows users can authenticate to computers that are secured by DriveLock FDE. All hard disk partitions encrypted with DriveLock FDE can be shared on a network at the discretion of the system administrator.

Software Compatibility

DriveLock FDE has been tested and does not interfere with normal operation of most Windows-compliant software, applications, services and utilities. Some care needs to be taken, however, when using the following.

·DOS Drivers and TSRs: When booted from a DOS floppy disk or CD, DriveLock FDE can access hard disks that require DOS drivers and TSRs only if the appropriate drivers have been loaded.

·Windows and Third-Party Boot Managers: At system start-up, DriveLock FDE manipulates the Master Boot Record (MBR) and verifies its integrity. All software that needs to manipulate the MBR for its own purposes is incompatible with DriveLock FDE. This includes the standard Windows boot manager.

·Windows Disk Management Utility: No disk repartitioning, resizing, and mirroring configuration changes can be performed after DriveLock FDE has been installed. If any of the above operations are required, decrypt all disks and uninstall DriveLock FDE before proceeding.

·Windows File Compression: Windows file compression is fully supported, with the following exception: The DriveLock FDE system files directory (C:\Securdsk) must not be compressed.

Do not install DriveLock FDE to a compressed system drive. Doing this leads to compression of the C:\Securdsk directory, interfering with normal operations of DriveLock FDE.

The directory C:\Securdsk is a hidden system directory that can't be viewed by regular users.

·Windows System Restore Utility: After DriveLock FDE has been installed, Windows system-restore points that were created prior to the installation can no longer be used to restore a computer to a previous state. You can only restore the system to a restore point created following the installation of DriveLock FDE.

·Windows Fast User Switching: DriveLock FDE disables the standard Windows Welcome screen along with its fast user switching functionality.


Installing DriveLock

You are here: Installing DriveLock

Installing DriveLock

 Return to chapter overview


Evaluation Installation

You are here: Installing DriveLock > Evaluation Installation

Evaluation Installation

 Return to chapter overview

In this type of installation all DriveLock components are installed on a single computer running (Windows 7 or later). This is the recommended installation type for evaluating DriveLock. The use of Microsoft SQL Server Express is recommended to support this installation type.

To start the installation, run the DriveLock Installer (DLSetup.exe) to first download all installation packages from the Internet and then install them on the local computer. For a complete installation on a computer where you want to evaluate DriveLock, simply select all components.

The DriveLock Installer is described in more detail in the section Installing DriveLock Management Components. More details about installing the DriveLock Enterprise Service are available in the section Installing the DriveLock Enterprise Service.


Installing the DriveLock Enterprise Service

You are here: Installing DriveLock > Installing the DriveLock Enterprise Service

Installing the DriveLock Enterprise Service

 Return to chapter overview

The DriveLock Enterprise Service (DES) is the central component of the DriveLock product family that needs to be installed on a central server. The DES requires a database server where the DriveLock databases are created and maintained.

If you use a Microsoft SQL Server database, before you start the DES installation, create a service account that the DES will use for database access. Unless the DES server is also the database server, this must be a domain account with the password set to never expire. You don’t need to assign any special permissions or rights to the account.

You can install DES using the DriveLock Installer, which can check whether a more recent version is available via the Internet and on request downloads the newer version.

Start the DriveLock Installer (DLSetup.exe).

Click Next, accept the license agreement and then click Next again.

To install DES, select Enterprise Service and click Next.

To only download the selected components but not install them, check Download files only.

To use local versions of the selected components without downloading newer versions, check Do not download files.

Click Next to start the download or installation and then click Finish to start the DriveLock Enterprise Service Setup Wizard.

DriveLock Enterprise Service Setup

Click Next.

Type the user name and password of the service account used to run the DriveLock Enterprise Service or click Browse to select an existing account.

Click Next to continue installation.

The use of certificates secures communication between the DES and the DriveLock Management Console and/or between the trusted DES and the DriveLock Agents.

Starting with version 2019.1, the server certificates that DriveLock generates provide additional security because they use a 4096 bit key and the sha512 hash algorithm.

Please note that you can no longer use certificates you generated with DriveLock 7.9. in version 2019.1 and later. Make sure to create a new one or use your own certificate.

After entering the user name and password for the new DES, the following dialog appears:

Option 1:
Choose Select existing certificate if you want to use your own certificates.

Click Next and select the appropriate certificate. Either click OK, if the displayed certificate is the right one or open the list in More choices to select another one.

Continue by clicking OK.

Option 2:

Choose Create self-signed certificate if you want DriveLock to generate an SSL certificate for you and then click Next. A valid self-signed certificate is generated automatically.

Note for both options: The certificate is stored in the computer's local Certificate Store and also in the Certificate Store of the DES user you entered earlier (see figures below).

You can use this certificate in policies as a trusted certificate for communication between the DriveLock Agent and the DES. For more information, please refer to chapter Trusted Certificates in the Administration Guide or in the User Manual on https://drivelock.help/

Click Install in the next dialog Ready to Install to continue installing the DES. If you do not want the Installer to automatically unlock the ports in the firewall required for the DES to workproperly, uncheck the the displayed option.

When the installation has completed, click Finish to close the wizard.

When the installation is complete, the Database Installation Wizard starts. This wizard guides you through the process of installing, configuring or updating the DES database.

Database Installation Wizard

Click Next.

Select the server role and then click Next.

If you are installing the first DES-Server in your organization, select the Central DriveLock Enterprise Service mode. For more information about server modes, refer to chapter Service Communications.

Select the database server type, Microsoft SQL Server.

Microsoft SQL Server

If you use a Microsoft SQL Server database, type the name of the database server and instance instance. Click Test connection and select whether to install or to update the database before you click Next. In case of a new installation you have to specify the database collation and to confirm the settings with Next.

Accounts for administration and monitoring

In case of a new installation, select the initial accounts for the following two security roles:

·DriveLock Control Center administrator: A group or user, that will initially be assigned Full Control permissions to use the DriveLock Control Center. You can change this account or add additional users and groups in the Control Center later.

·DriveLock Management Console administrator: A group or user, that will initially be assigned permissions to configure the DriveLock Enterprise Service using the Management Console. You can change this account or add additional users and groups in the DriveLock Management Console later.

Click Next to continue.

Finish the installation

A summary of the installation settings is displayed. Review these settings and then click Next to start the installation/update.

The configuration procedure may take several minutes, depending on the database server you are using. The installation wizard creates two databases based on the information you provided resp. updates them.

When the installation is complete, click Next and the then click Finish.


Installing the DriveLock Management Components

You are here: Installing DriveLock > Installing the DriveLock Management Components

Installing the DriveLock Management Components

 Return to chapter overview

You can install all DriveLock management components using the DriveLock Installer, which can check whether a more recent version is available via the Internet.

To start the installation, copy the DriveLock Installer (DLSetup.exe) to a folder on your hard drive. All installation packages that the Installer downloads will be stored in the same folder and can later be used for additional installations.

To start the DriveLock Installer, double-click it in Windows Explorer.

If a newer version of the Installer is available, a notification appears and you can select to download the newest version.

Click Next, accept the license agreement and then click Next again.

To install the management components and documentation, select the first three checkboxes. The Installer will check whether any of the components are already present and whether newer versions of these components are available.

When performing an evaluation installation, select all components.

Click Next.

To only download the selected components but not install them select the checkbox Download files only.

To use local versions of the selected components without downloading newer versions, select the checkbox Do not download files.

Click Next to start the download or installation. When the process has complete, a notification is displayed.

Click Finish to complete the installation or download.


Installing the DriveLock Agent

You are here: Installing DriveLock > Installing the DriveLock Agent

Installing the DriveLock Agent

 Return to chapter overview

The DriveLock Agent must be installed on each client computer where you want to control access to removable drives and devices.

Standalone Windows Installer packages are provided for installing the DriveLock Agent on client computers that are not administrative workstations. These installation packages (DriveLockAgent.msi and DriveLockAgent_AMD64.msi) install the DriveLock Agent service without creating any entries in the Start menu and without requiring any user input (silent installation).

The packages for the DriveLock Agent installation are located on the DriveLock CD (an ISO image for burning a CD is available for downloading) or you can be downloaded by the DriveLock Installer from the Internet.

Before you install the Agent on client computers, you must have created a policy that contains at least the basic configuration settings and whitelist entries that need to be applied on client computers when the Agent is installed. This policy must be available to clients at the time of the installation via Group Policy, centrally stored policy or configuration file. As soon as the Agent installation has completed, the Agent is started and applies either an available policy or the default settings.

If you install the Agent without providing configuration settings, the default settings, which block access to most removable drives, are applied. As a result, devices or drives that are required for proper operation of client computers may be locked.

When using a configuration file you need to customize the Agent installation package before deployment to ensure that the Agent can find the configuration file. When using Group Policy, no customization is required. When using or a centrally stored policy, customization is only required if Quick Configuration is not available. Quick Configuration is not available if you disabled the automatic discovery mechanism or if multicast communications using mDNS/DNS-SD are blocked, which is frequently the case in large corporate networks.

The following sections describe each installation method for the DriveLock Agent.


Installing DriveLock by using Active Directory Group Policy

You are here: Installing DriveLock > Installing the DriveLock Agent > Installing DriveLock by using Active Directory Group Policy

Installing DriveLock by using Active Directory Group Policy

 Return to chapter overview

A convenient way to deploy DriveLock Agents to target machines is by using Active Directory Group Policy.

Deploying DriveLock Agents by using Group Policy requires that the DriveLockAgent.msi Windows installer package (for 64-bit operating systems use DriveLockAgent_X64.msi) is located in a shared folder that the client computer can access.

Additional information about using Group Policy Objects is available on the Microsoft TechNet Web site.

To configure a software deployment policy for 32-bit computers, open an existing Group Policy Object or create a new one. In the Windows Group Policy Object Editor, in the console tree, navigate to Computer Configuration à Software Settings à Software installation.

You can also use the DriveLock Management Console to open or create a Group Policy Object.

Right-click Software installation, and then click New à Package. Navigate to the shared folder that contains the installation package, select the DriveLockAgent.msi file and then click Open. Ensure that the file name is displayed in Universal Naming Convention (UNC) format (for example, “\\Server\drivelock$\DriveLockAgent.msi”).

Select Advanced as the deployment method and then click OK.

Select the Deployment tab and click Advanced. Uncheck the option “Make this 32-bit X86 application available to Win64 machines”.

Click OK twice.

The Group Policy Object is now configured and the Agent rollout will start after the policy is replicated to domain controllers and applied to the target machines.

Repeat these steps for 64-bit computer, use the DriveLockAgent_X64.msi file instead and don’t change the advanced deployment options.

DriveLock should not be assigned to the User Settings in a GPO, as DriveLock is a computer-focused application.

DriveLock configuration settings are not installed automatically with the software package. These settings, including a valid license file, must be provided separately as part of the same or a separate GPO. The use of separate GPOs for installing the Agent and distributing policy settings is recommended.

If you install the DriveLock Agent by using Group Policy, it can’t be uninstalled from the Add/Remove Programs application in Control Panel. Instead, remove the software package from the GPO.


Installing the Agent by Using Configuration Files

You are here: Installing DriveLock > Installing the DriveLock Agent > Installing the Agent by Using Configuration Files

Installing the Agent by Using Configuration Files

 Return to chapter overview

When you use a configuration file to deploy your DriveLock policy to client computers, copy this file to a shared folder, Web server or FTP server and specify the network path or URL during the Agent installation. For information about using a configuration file, refer to the DriveLock Administration Guide.

The DriveLock Deployment Wizard assists you in deploying the DriveLock Agent to computers in your network so that they use the correct configuration file. The wizard helps you create the correct command line for Windows Installer, generates a modified Microsoft Installer (.msi) package, or creates a Microsoft Installer Transform (.mst) file for your installation.

To launch the wizard, right-click Configuration files, point to “All Tasks” and then click “Deployment wizard…“.

Click Next to continue.

Specify the location from which the DriveLock Agent will retrieve the configuration file. You can specify a UNC path, an FTP location or an HTTP location. You can also specify a local path that can be accessed by the local System account (for example, C:\Windows\DLConfig).

After entering the location of the configuration file, click Next.

Specify the user credentials that are used to access the configuration file:

·Local System: DriveLock will connect to the configuration file by using the local System account on the client computer. This is the recommended setting if the configuration file is stored locally on client computers.

·Service Account: DriveLock will use the account you specify. This account must have permissions to access the file on the remote server. The account password will be stored in an encrypted format.

·Anonymous: If you have selected either an FTP or HTTP path, type Anonymous as the name of the service account and leave the password blank. The FTP or HTTP server must allow anonymous access to the configuration file.

Click Next

On the next page select the type of installation package that will be created by the wizard:

·Microsoft Installer File (MSI): Creates a new Microsoft Installer package that contains your settings.

·Microsoft Installer Transform file (MST): Creates a Microsoft Installer Transform (.mst) file that contains your settings. An MST file must be used in conjunction with the original MSI package that is included in the DriveLock installation.

·Command line: Shows the Microsoft Installer command line options for implementing the settings you have selected.

Click Next.

If you selected Command Line, the next page displays the command you must use to install the DriveLock Agent. When using this command line, you must change “<DriveLockAgent.msi>” to the full path of DriveLockAgent.msi file.

The command can be used for a manual Agent installation. For more information about this, refer to the section Installation from a Command Prompt (Silent Installation).

If you selected the option to generate a new MSI file, you must provide the location and name of the original DriveLockAgent.msi file and the customized MSI file to be created.

Type the name and location for both files, and then click Next to generate the new MSI file.

You can use the modified installer package you created to install the Agent manually or to deploy it using third-party deployment software.

To generate a Microsoft Installer Transform (.mst) file you must provide the location and name original DriveLockAgent.msi file and the MST file.

Type the name and location for both files, and then click Next to generate the new MST file.

After you have completed the Agent Deployment Wizard you continue the deployment by using the Microsoft Installer package or the command line.


Installing the Agent with a Centrally Stored Policy without Quick Configuration

You are here: Installing DriveLock > Installing the DriveLock Agent > Installing the Agent with a Centrally Stored Policy without Quick Configuration

Installing the Agent with a Centrally Stored Policy without Quick Configuration

 Return to chapter overview

The DriveLock Deployment Wizard also assists you in deploying the DriveLock Agent to computers in your network by using a Centrally Stored Configuration. The wizard helps you create the correct command line for Windows Installer, generates a modified Microsoft Installer (.msi) package, or creates a Microsoft Installer Transform (.mst) file for your installation.

To launch the wizard, right-click Policies, point to “All Tasks” and then click “Deploy centrally stored policy…“.

Click Next to continue.

Specify the centrally stored policy that the DriveLock Agent will use and the server where the central DriveLock Enterprise Service is running.

If you are using multiple DriveLock configuration environments (tenants), select the tenant from the drop-down list.

After entering the location of the configuration file, click Next.

Click Next

On the next page select the type of installation package that will be created by the wizard:

·Microsoft Installer File (MSI): Creates a new Microsoft Installer package that contains your settings.

·Microsoft Installer Transform file (MST): Creates a Microsoft Installer Transform (.mst) file that contains your settings. An MST file must be used in conjunction with the original MSI package that is included in the DriveLock installation.

·Command line: Shows the Microsoft Installer command line options for implementing the settings you have selected.

Click Next.

If you selected Command Line, the next page displays the command you must use to install the DriveLock Agent. When using this command line, you must change “<DriveLockAgent.msi>” to the full path of DriveLockAgent.msi file.

The command can be used for a manual Agent installation. For more information about this, refer to the section Installation from a Command Prompt (Silent Installation).

If you selected the option to generate a new MSI file, you must provide the location and name of the original DriveLockAgent.msi file and the customized MSI file to be created.

Type the name and location for both files, and then click Next to generate the new MSI file.

You can use the modified installer package you created to install the Agent manually or to deploy it using third-party deployment software.

To generate a Microsoft Installer Transform (.mst) file you must provide the location and name original DriveLockAgent.msi file and the MST file.

Type the name and location for both files, and then click Next to generate the new MST file.

After you have completed the Agent Deployment Wizard you continue the deployment by using the Microsoft Installer package or the command line.


Installing with Policy Signing Certificates (Experimental Feature)

You are here: Installing DriveLock > Installing the DriveLock Agent > Installing with Policy Signing Certificates (Experimental Feature)

Installing with Policy Signing Certificates (Experimental Feature)

 Return to chapter overview

Starting with version 7.8, you can install a DriveLock Agent using a certificate that allows you to

·specify connection parameters to the DriveLock Enterprise Service (DES) during installation,

·use a predefined tenant,

·set a default policy in case the agent cannot connect to a DES and no group policy exists,

·enable extra policy protection against manipulative changes.

We provide this functionality as an experimental feature. Please contact our Consulting Services if you are planning to employ this feature in your productive environment. Please also note the information below.

Take the following steps to install an agent with a policy signing certificate:

1.Create at least one certificate to sign DriveLock policies

2.Publish a signed DriveLock policy

3.Install an agent with a policy signing certificate

Create a certificate to sign a DriveLock policy

Open the DriveLock Policy Editor to create a certificate. Click the top node (see below) and then select Create signing certificate.

The policy signing certificate wizard starts.

Click Next.

Choose a storage folder or store the certificate on a smart card.

Enter a password here to access the certificate or the private key.

In this step, you can configure one or more server connections and one tenant if you are working with several tenants.

You can also specify that a DriveLock Agent installed with this certificate will always use a specific policy, regardless of the assignment you have set for the policies in the DriveLock Management Console.

Additional certificates can be added to configure the DriveLock agent so that it accepts other policies signed with these certificates (for example when deploying policies to multiple tenants).
Optionally you can configure an initial and/or fallback configuration file.

Click Finish.

Signing a DriveLock policy

Open the policy in the DriveLock Management Console and configure the settings.

Click Publish (and use by Agents).

Add an appropriate comment and select Sign policy and then Select certificate…

Make sure you sign a policy each time you want to publish it.

Select the certificate you generated earlier or its private key file and click Open.

Enter the password you specified when you created the certificate and click OK.

You can see that the signature was successful if the green check mark icon appears.

Click OK to publish the signed policy.

If you have configured an agent so that it only accepts signed policies, it will disregard unsigned policies and will not apply their settings. All other agents handle both unsigned and signed policies.

Installing a DriveLock Agent with a policy certificate

Open the DriveLock Management Console, right-click Policies and select All Tasks -> Deploy signed policy..., to start the agent deployment:

With this wizard you can create a prepared installation package that you can then use to install DriveLock Agents over your network.

Click Next.

Click the Browse button to select the signing certificate you used to sign the DriveLock policy. After selecting the certificate, the dialog shows its configuration data. Click Next to continue.

In the following dialog you can select the type of installation package you want the wizard to create:

·Windows Installer package (MSI)

·Windows Installer transform (MST)

·Command line

Optionally you can configure an initial and/or fallback configuration file.

Click Next to start the deployment.

Click Finish in the last dialog. Now you can distribute the generated installation package using your company's software deployment, for example.

Use the following command to deploy the agent by command line using the standard MSI DriveLock Agent package:

msiexec /I <DriveLockAgent.msi> /qb USESIGNCERT=1 POLSIGNCERT="<PATHTOCERTIFICATE>\<PolicySigningCertificate>.cer"

If you want to reconfigure an agent that you have already installed so that it only accepts policies signed with a specific certificate, you can do so with the following command prompt:

drivelock -setconfigcert "<PATHTOCERTIFICATE>\<PolicySigningCertificate>.cer"

Note that once you have installed the agent with a signing certificate or have changed it to signed policies via command prompt, the agent no longer accepts unsigned policies! Deactivating this check is no longer possible because of security restrictions!

You can use the following command prompt to check the status of the current agent configuration:

drivelock -showstatus


Installing with a Command Prompt (Silent Installation)

You are here: Installing DriveLock > Installing the DriveLock Agent > Installing with a Command Prompt (Silent Installation)

Installing with a Command Prompt (Silent Installation)

 Return to chapter overview

If you install the Agent from a command prompt or a script, you can specify additional options. The options allow you to specify from where the Agent will get its configuration settings and where the Agent retrieves the configuration.

To silently install the Agent without displaying the InstallShield Wizard and with the default configuration settings, use the following command:

Msiexec /i DriveLockAgent.msi /qn

If you must specify a configuration file location for the Agent, either use an installation package that has been modified by the wizard (.msi file), or use a wizard-generated command such as the following:

msiexec /i DriveLockAgent.msi /qn USECONFIGFILE=1 CONFIGFILE="\\fileserver\share\drivelock.cfg" USESVCACCT=1 SVCACCOUNT=domain\user SVCPASSWORD="UCXUUZXY5LJLTJ2BAFPZTZ42JKBKPYCKCLVUXBEYYH2K6OZA"

When installing the Agent to use a centrally stored policy, the available options are:

USESERVERCONFIG=1 | Indicates that a centrally stored policy is used.
CONFIGID=”<GUID>” | <GUID> is the GUID of the centrally stored policy in the format XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
CONFIGSERVER=<name> | <name> is the name of the server where the DriveLock Enterprise Service is running and from where the configuration will be downloaded.
TENANTNAME=<tenant> | In a multi-tenant DES environment, <tenant> is the name of the tenant the policy has been configured for. If you are not using multiple tenants, specify root as the tenant name.

When installing the Agent to use a configuration file, the available options are:

USECONFIGFILE=1 | Needed if you specify the location from where the Agent gets its configuration.
CONFIGFILE=”<path>” | <path> can be any valid UNC, FTP of HTTP path to the configuration file. Examples: UNC: \\myserver\share$\drivelock\dlconfig.cfg FTP: myserver/pub/drivelock/dlconfig.cfg HTTP: http://myserver/drivelock/dlconfig.cfg
CONFIGPROTOCOL=[0|1|2] | 0: <path> is a file location 1: <path> is an FTP location 2: <path> is an HTTP location
USESVCACCT=1 | This parameter is needed if a user account is used to access the configuration file.
SVCACCOUNT=<account> | Specifies the account that is used to access the configuration file. Example: SVCACCOUNT=mydomain\myuser)
SVCPASSWORD=”<encpwd>” | <encpwd> is the account’s encrypted password that was created by the wizard.

To create the encrypted password, use the DriveLock Deployment Wizard.

You can also install DriveLock agents by using the original DriveLockAgent.msi in conjunction with a wizard-generated .mst file. The following command line installs the Agent on a computer using this method:

msiexec /i DriveLockagent.msi /qn TRANSFORMS=Your_MST_file.mst


Updating DriveLock

You are here: Updating DriveLock

Updating DriveLock

 Return to chapter overview

Before updating DriveLock to a newer version, always review the current Release Notes.

Upgrading DriveLock components is generally a very easy process and can be performed using an in-place upgrade.

Starting with DriveLock 7 an automatic update feature is available that can automatically upgrade the DriveLock Agent and management components to the most recent version from the DriveLock Enterprise Service. For more information about this process, refer to the DriveLock Administration Guide.

The recommended order for upgrading DriveLock components is:

1.DriveLock Enterprise Service

2.DriveLock Management Console

3.DriveLock Control Center

4.DriveLock Agents

The version of the DriveLock Agent may be older but never must be newer than the Version of DriveLock Enterprise Services.

The version of the DriveLock Control Center and the DriveLock Management Console must match the version of the DriveLock Enterprise Service.

When upgrading any DriveLock components, no Group Policy Objects or configuration files are modified. However, as a precaution, it is recommended to first export all local or Group Policy-based DriveLock policies to a file. For more information about exporting policies, refer to the DriveLock Administration Guide.

The following sections describe the manual upgrade process. For information about automatic updating, refer to the DriveLock Administration Guide.


Updating the DriveLock Enterprise Service

You are here: Updating DriveLock > Updating the DriveLock Enterprise Service

Updating the DriveLock Enterprise Service

 Return to chapter overview

To update the DriveLock Enterprise Service to a newer version, perform the steps described in the section Installing the DriveLock Enterprise Service. The installation process will automatically detect an older version that is already installed and update the service and the database it uses.

Before updating the DriveLock Enterprise Service, always perform a database backup because the update process may modify the database to work with the new version.

The DES tray icon issues a note once a new DriveLock DES version is available.


Updating with Command Line Prompts (Unattended Installation)

You are here: Updating DriveLock > Updating the DriveLock Enterprise Service > Updating with Command Line Prompts (Unattended Installation)

Updating with Command Line Prompts (Unattended Installation)

 Return to chapter overview

Since version 7.8, you can update the DES without user interaction..

Updating the Service

You need administrator permissions to update the DES using command line prompts.

If you are using a Microsoft SQL Server database, create the service account you want the DES to use to access the database before installing the DES. If the DES server is not the database server, it must be a domain account with a password that does not expire. You do not need special permissions. Then you can use this user within the command line prompt.

Use the following command line prompt and replace the values for the user and password:

run msiexec /qn /quiet /l*v DLInstall.log /i "DES X64.msi" LOGON_USERNAME="<domain>\<username>" LOGON_PASSWORD="<password>" CONFIGUREFIREWALL=1 LAUNCHDBWIZARD=0

The following command line prompts are mandatory:

·LOGON_USERNAME: User name of the DES Service Account

·LOGON_PASSWORD: Password for the DES Service Account

The following command line prompts can be specified (optionally):

·CONFIGUREFIREWALL:

o0 = The Installer does not change the current firewall settings (default).

o1 = The firewall settings are automatically extended with rules that unlock the ports for communication with DriveLock agents and management components.

·LAUNCHDBWIZARD:

o0 = The DB installation wizard does not start automatically after installation

o1 = After installation the DB installation wizard is started automatically with user interface (default value)

Specify 0 as value for LAUNCHDBWIZARD to also start the DB installation wizard from the command line without user interaction as described below.

Check the "DLInstall.log" log file to see if the update was successful or if errors occurred.

Updating the Database

After you have successfully updated the DES, start the DB installation wizard with the following command:

"C:\Program Files\CenterTools\DriveLock Enterprise Service\Database Install Wizard.exe" "C:\Program Files\CenterTools\DriveLock Enterprise Service\actions.xml"

The DES installation program automatically creates the "actions.xml" file before.

Check the "C:\ProgramData\CenterTools DriveLock\Log\DBinstall.log" file to see if the update was successful or if errors occurred.

When you start the "DES Service Status" program (tray icon), you can also check whether the update was successful.


Updating the DriveLock Control Center

You are here: Updating DriveLock > Updating the DriveLock Control Center

Updating the DriveLock Control Center

 Return to chapter overview

You can perform an in-place upgrade over the old version. You can find additional information about this process in the section “Installing DriveLock Management Components” of this manual.


Updating DriveLock Management Components

You are here: Updating DriveLock > Updating DriveLock Management Components

Updating DriveLock Management Components

 Return to chapter overview

To update the DriveLock Management Console or the DriveLock Control Center, follow the instructions in the section Installing DriveLock Management Components. The installation process detects if an older version of these components is installed and will update them automatically.


Updating the Agent

You are here: Updating DriveLock > Updating the Agent

Updating the Agent

 Return to chapter overview

In most cases you can perform an in-place upgrade of the DriveLock Agent and don’t need to de-install the older version first. For more information about the Agent installation, refer to the section “Installing the DriveLock Agent” of this manual.

You can update the Agent, also if DriveLock Disk Protection is installed.

Updating the DriveLock FDE Component

After the DriveLock Agent has been updated, an existing DriveLock Disk Protection installation will be updated automatically and without re-encryption to the most current version. After this update, a reboot may be required.


Uninstalling the DriveLock Agent

You are here: Uninstalling the DriveLock Agent

Uninstalling the DriveLock Agent

 Return to chapter overview

Unless you assigned the DriveLock Agent by using Group Policy, you can remove a DriveLock Agent from a computer by using the Add/Remove Programs application in Control Panel.

DriveLock Agents can also be uninstalled using the following command line, specifying the original installation package (.msi):

msiexec /x DriveLockagent.msi

If you have configured DriveLock to require a password for uninstalling, you must use one the following commands:

msiexec /x DriveLockagent.msi UNINSTPWD=password

msiexec /x DriveLockagent.msi UNINSTPWDENC=encrypted-password

To create the encrypted password, use the DriveLock Deployment Wizard.

If you installed the DriveLock Agent by using Group Policy, you can’t use the Add/Remove Programs application to uninstall DriveLock. Instead, remove DriveLock from the GPO to un-assign DriveLock from the computer. Alternatively, you can use the command line to uninstall DriveLock, but you have to ensure that there is no remaining GPO that assigns DriveLock to the computer.